Request

Endpoint: !AutoRevokePAC

https://secure.trust-provider.com/products!AutoRevokePAC

Request parameters

The following table displays the required, optional, and conditional parameters.

Variable Name Requirement Type Max.Length Description

loginName

required

string

64 chars

Your account username.

This value is case sensitive.

loginPassword

required

string

128 chars

Your account password.

This value is case sensitive.

accountID

optional

integer

If specified, this is the account ID of a Reseller account.

loginName and loginPassword must be the Reseller’s login credentials.

orderNumber

required

integer

The order number for the PAC order.

revocationReason

required

string

1024 chars

A comment describing the reason for revocation. This information is used for your reference only. No action by Sectigo will be taken based on this information.

codeReason

required

integer

Specifies the code for the revocation reason. The possible values are:

  • 0 — Unspecified

  • 1 — keyCompromise

  • 3 — affiliationChanged

  • 4 — Superseded

  • 5 — cessationOfOperation

If omitted, the value defaults to 0. For more information, see CPS.

test

optional

char

1 char

Indicates whether the revocation is a test operation.

The possible values are:

  • Y — The certificate will not actually be revoked or rejected.

  • N — The certification will be revoked.

If omitted, the value defaults to N.

Sample request

The following example shows a sample request to the AutoRevokePAC API endpoint with all required parameters.

curl --location 'https://secure.trust-provider.com/products/!AutoRevokePAC' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'revocationReason=revocation_reason'

Response

The request is successful when the server returns a response with the status code 0.

Any errorCode less than 0 indicates an error condition.

The list of codes and their descriptions can be found in Error codes.

The response format is restricted to the newline-delimited parameters.

Sample success response

Success response with the code 0.

`0`

Sample error response

-4
The value of the `orderNumber` argument is invalid!

Error codes

The following table outlines error responses returned by the AutoRevokePAC API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Status Code Error message Description

-1

Request was not made over https!

The request must use HTTPS protocol.

-2

Unrecognised argument!

The provided argument is not recognized.

-3

The 'xxxx' argument is missing!

The required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

-14

An unknown error occurred!

An unknown error occurred.

-16

Permission denied!

The user does not have permission for the requested context.

-17

Request used GET rather than POST!

The request method should be POST.

-20

The certificate request has already been Rejected!

The requested certificate is in a rejected state.

-21

The certificate has already been Revoked!

The requested certificate is in a revoked state.

-26

The certificate is currently being Issued!

The required certificate is in the process of being issued.

-43

Certificate is not in a revocable state.

The required certificate is not in a state that allows it to be revoked.